   --------------------------------------------------------------------
--|  Program         : Inventory List               Version : 1.0b
--|--------------------------------------------------------------------
--|  Abstract        : Read and print a file of inventory records. 
--|                  : See specification for details.
--|                  : Assumes input is via file redirection.
--|  File            : INVLIST.ADB
--|  Compiler/System : Meridian ADA
--|  Author          : John Dalbey             Date : 3/31/95 
--|  Version         : 1.0
--|
   --------------------------------------------------------------------

WITH Text_IO; 
USE  Text_IO; 

PROCEDURE InvList IS

SUBTYPE String20 is STRING(1..20);

--  The four fields in each item
CatalogCode  : String(1..10);   -- code identifying the item
Dept         : CHARACTER;       -- department code
Quantity     : NATURAL;         -- current quantity on hand
PartName     : String20;        -- description of item

RecCount : NATURAL := 0;  -- number of lines read from the file
TotalItems: Natural:= 0;  -- Total items in the inventory
Length   : Natural;       -- input string length
Dummy    : CHARACTER;     -- dummy input character

PACKAGE My_Int_IO IS NEW Integer_IO (Natural);

BEGIN

    --  Read all records from the file 
    WHILE NOT End_of_File LOOP

         RecCount := RecCount + 1;   -- increment the record count

         -- Read the data for one inventory item
         Get (CatalogCode);
         Get (Dept);
         My_Int_IO.Get (Quantity);
         Get (Dummy);
         Get_line (PartName,length);

         -- Display the data for the item
         Put (CatalogCode);
         Put (Dept);
         My_Int_IO.Put (Quantity);
         Put (" ");
         Put (PartName);
         New_Line;

         -- Add the quantity on hand to the total
         TotalItems := TotalItems + Quantity;

    END LOOP;

    My_Int_IO.Put (RecCount,WIDTH=>5);  -- Display record count
    Put (" records read.");
    New_Line;

    My_Int_IO.Put (TotalItems, WIDTH=>5);  -- Display total
    Put (" items in inventory. ");
    New_Line;
    
END InvList;

